System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Data.Common.DbCommandBuilder

The does not automatically generate the SQL statements required to reconcile changes made to a with the associated data source. However, you can create an object to automatically generate SQL statements for single-table updates if you set the property of the . Then, any additional SQL statements that you do not set are generated by the .

The registers itself as a listener for events whenever you set the property. You can only associate one or object with each other at one time.

To generate INSERT, UPDATE, or DELETE statements, the uses the property to retrieve a required set of metadata automatically. If you change the after the metadata is retrieved, such as after the first update, you should call the method to update the metadata.

The also uses the , , and properties referenced by the . The user should call if one or more of these properties are modified, or if the itself is replaced. Otherwise the , , and properties retain their previous values.

If you call , the is disassociated from the , and the generated commands are no longer used.

Automatically generates single-table commands that are used to reconcile changes made to a with the associated database. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor

  The registers itself as a listener for events that are generated by the specified in this property.

  When you create a new instance , any existing associated with this is released.

  Initializes a new instance of the class with the associated object.

  An .
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  System.Data.OleDb.OleDbDataAdapter To be added: an object of type 'OleDbDataAdapter'

  The registers itself as a listener for events that are generated by the specified in this property.

  When you create a new instance , any existing associated with this is released.

  Gets or sets an object for which SQL statements are automatically generated.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue(null)
- Method
  System.Void ``

  overwrites any existing parameter information for the .

  requires an additional call to the data source to obtain the information. If the parameter information is known in advance, it is more efficient to populate the parameters collection by setting the information explicitly.

  You can only use with stored procedures. You cannot use to populate the with arbitrary Transact-SQL statements, such as a parameterized SELECT statement.

  For more information, see Using Stored Procedures with a Command.

  Retrieves parameter information from the stored procedure specified in the and populates the collection of the specified object.

  The referencing the stored procedure from which the parameter information is to be derived. The derived parameters are added to the collection of the . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'bool' To be added To be added 1.0.5000.0
- Method
  System.Data.OleDb.OleDbCommand

  An application can use the method for informational or troubleshooting purposes because it returns the object to be executed.

  You can also use as the basis of a modified command. For example, you might call and modify the value, and then explicitly set that on the .

  After the SQL statement is first generated, the application must explicitly call if it changes the statement in any way. Otherwise, the will be still be using information from the previous statement, which might not be correct. The SQL statements are first generated when the application calls either or .

  Gets the automatically generated object required to perform deletions at the data source.

  The automatically generated object required to perform deletions.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Data.OleDb.OleDbCommand ``

  An application can use the method for informational or troubleshooting purposes because it returns the object to be executed.

  You can also use as the basis of a modified command. For example, you might call and modify the value, and then explicitly set that on the .

  After the SQL statement is first generated, the application must explicitly call if it changes the statement in any way. Otherwise, the will be still be using information from the previous statement, which might not be correct. The SQL statements are first generated when the application calls either or .

  The default behavior, when generating parameter names, is to use @p1, @p2, and so on for the various parameters. Passing true for the parameter lets you force the to generate parameters based on the column names instead. This succeeds only if the following conditions are met:

  The has been specified and its length is equal to or greater than the generated parameter name.

  The generated parameter name meets the criteria specified in the regular expression.

  A is specified.

  Gets the automatically generated object required to perform deletions at the data source.

  The automatically generated object required to perform deletions.

  If true, generate parameter names matching column names, if it is possible. If false, generate @p1, @p2, and so on.
- Method
  System.Data.OleDb.OleDbCommand

  An application can use the method for informational or troubleshooting purposes because it returns the text of the object to be executed.

  You can also use as the basis of a modified command. For example, you might call and modify the value, and then explicitly set that on the .

  After the SQL statement is first generated, the application must explicitly call if it changes the statement in any way. Otherwise, the will be still be using information from the previous statement, which might not be correct. The SQL statements are first generated when the application calls either or .

  Gets the automatically generated object required to perform insertions at the data source.

  The automatically generated object required to perform insertions.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Data.OleDb.OleDbCommand ``

  An application can use the method for informational or troubleshooting purposes because it returns the text of the object to be executed.

  You can also use as the basis of a modified command. For example, you might call and modify the value, and then explicitly set that on the .

  After the SQL statement is first generated, the application must explicitly call if it changes the statement in any way. Otherwise, the will be still be using information from the previous statement, which might not be correct. The SQL statements are first generated when the application calls either or .

  The default behavior, when generating parameter names, is to use @p1, @p2, and so on for the various parameters. Passing true for the parameter lets you force the to generate parameters based on the column names instead. This succeeds only if the following conditions are met:

  The has been specified and its length is equal to or greater than the generated parameter name.

  The generated parameter name meets the criteria specified in the regular expression.

  A is specified.

  Gets the automatically generated object required to perform insertions at the data source.

  The automatically generated object required to perform insertions.

  If true, generate parameter names matching column names, if it is possible. If false, generate @p1, @p2, and so on.
- Method
  2.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  System.Data.OleDb.OleDbCommand

  An application can use the method for informational or troubleshooting purposes because it returns the object to be executed.

  You can also use as the basis of a modified command. For example, you might call and modify the value, and then explicitly set that on the .

  After the SQL statement is first generated, the application must explicitly call if it changes the statement in any way. Otherwise, the will be still be using information from the previous statement, which might not be correct. The SQL statements are first generated when the application calls either or .

  Gets the automatically generated object required to perform updates at the data source.

  The automatically generated object required to perform updates.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Data.OleDb.OleDbCommand ``

  An application can use the method for informational or troubleshooting purposes because it returns the object to be executed.

  You can also use as the basis of a modified command. For example, you might call and modify the value, and then explicitly set that on the .

  After the SQL statement is first generated, the application must explicitly call if it changes the statement in any way. Otherwise, the will be still be using information from the previous statement, which might not be correct. The SQL statements are first generated when the application calls either or .

  The default behavior, when generating parameter names, is to use @p1, @p2, and so on for the various parameters. Passing true for the parameter lets you force the to generate parameters based on the column names instead. This succeeds only if the following conditions are met:

  The has been specified and its length is equal to or greater than the generated parameter name.

  The generated parameter name meets the criteria specified in the regular expression.

  A is specified.

  Gets the automatically generated object required to perform updates at the data source, optionally using columns for parameter names.

  The automatically generated object required to perform updates.

  If true, generate parameter names matching column names, if it is possible. If false, generate @p1, @p2, and so on.
- Method
  2.0.0.0
  System.String `` To be added.

  Given an unquoted identifier in the correct catalog case, returns the correct quoted form of that identifier. This includes correctly escaping any embedded quotes in the identifier.

  The quoted version of the identifier. Embedded quotes within the identifier are correctly escaped.

  The original unquoted identifier.
- Method
  2.0.0.0
  System.String `` `` To be added.

  Given an unquoted identifier in the correct catalog case, returns the correct quoted form of that identifier. This includes correctly escaping any embedded quotes in the identifier.

  The quoted version of the identifier. Embedded quotes within the identifier are correctly escaped.

  The unquoted identifier to be returned in quoted format. When a connection is passed, causes the managed wrapper to get the quote character from the OLE DB provider. When no connection is passed, the string is quoted using values from and .
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue("")
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue("")
- Method
  System.Void To be added To be added 1.0.5000.0
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  System.String `` To be added.

  Given a quoted identifier, returns the correct unquoted form of that identifier. This includes correctly un-escaping any embedded quotes in the identifier.

  The unquoted identifier, with embedded quotes correctly un-escaped.

  The identifier that will have its embedded quotes removed.
- Method
  2.0.0.0
  System.String `` `` To be added.

  Given a quoted identifier, returns the correct unquoted form of that identifier. This includes correctly un-escaping any embedded quotes in the identifier.

  The unquoted identifier, with embedded quotes correctly un-escaped.

  The identifier that will have its embedded quotes removed. The .